﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Core.Global;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Models
{
    public class CompanyUserDto
    {
        public string? Id { get; set; }
        public string? UserName { get; set; }

        [Required]
        public string FirstName { get; set; }
        public string LastName { get; set; }
       
        public string IdNumber { get; set; }
        [Required]
        [EmailAddress]
        public string Email { get; set; }

        public string PassportNumber { get; set; }

        public string PhoneNumber { get; set; }
        public UserTypeEnum? UserType { get; set; }
       
        public string? Password { get; set; }
      
        public decimal? TaxNumber { get; set; }
        public decimal? IncomeTaxValue { get; set; }
        public IList<AttachmentDto>? UserAttachments{ get; set; }
        public UserAddressDto? UserAddress{ get; set; }

    }
}
